Extending Qt Creator Manual | IssueInfo

Extending Qt Creator Manual 4.5.2

# IssueInfo Class

(ProjectExplorer::SettingsAccessor::IssueInfo)

- List of all members, including inherited members

## Public Functions

| IssueInfo()
| IssueInfo(const QString &t, const QString &m, QMessageBox::StandardButton d = QMessageBox::NoButton, QMessageBox::StandardButton e = QMessageBox::NoButton, const ButtonMap &b = ButtonMap())
| IssueInfo(const IssueInfo &other)
IssueInfo & | operator=(const IssueInfo &other)

## Member Function Documentation

### IssueInfo::IssueInfo()

Default constructs an instance of IssueInfo.

### IssueInfo::IssueInfo(const QString &t, const QString &m, QMessageBox::StandardButton d = QMessageBox::NoButton, QMessageBox::StandardButton e = QMessageBox::NoButton, const ButtonMap &b = ButtonMap())

Default constructs an instance of IssueInfo.

### IssueInfo::IssueInfo(const IssueInfo &other)

Copy constructor.

### IssueInfo &IssueInfo::operator=(const IssueInfo &other)

Copy-assignment operator.